## ros-jazzy-moveit-ros-planning-interface 2.10.0

=== debian/changelog ===
ros-jazzy-moveit-ros-planning-interface (2.10.0-2bookworm) bookworm; urgency=high

  * Apply clang-tidy fixes
  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * Add getNodeHandle impl (#2840 <https://github.com/moveit/moveit2/issues/2840>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * Add parameter api integration test (#2662 <https://github.com/moveit/moveit2/issues/2662>)
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Remove unused python content from planning interface directory (#2665 <https://github.com/moveit/moveit2/issues/2665>)
    * Remove unused python content from planning interface directory
    * Cleanup test cmake
  * Contributors: Robert Haschke, Sebastian Jahr, Tyler Weaver, methylDragon

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-ros-planning-interface (2.9.0-2bookworm) bookworm; urgency=high

  * Update ros2_control usage (#2620 <https://github.com/ros-planning/moveit2/issues/2620>)
    * Update ros2_control usage
    * Update xacro file
  * Node logging in moveit_core (#2503 <https://github.com/ros-planning/moveit2/issues/2503>)
  * Use node logging in moveit_ros (#2482 <https://github.com/ros-planning/moveit2/issues/2482>)
  * Add new clang-tidy style rules (#2177 <https://github.com/ros-planning/moveit2/issues/2177>)
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Remove old deprecated functions (#2384 <https://github.com/ros-planning/moveit2/issues/2384>)
  * Update clang-format-14 with QualifierAlignment (#2362 <https://github.com/ros-planning/moveit2/issues/2362>)
    * Set qualifier order in .clang-format
    * Ran pre-commit to update according to new style guide
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Marq Rasmussen, Rayene Messaoud, Sebastian Jahr, Shobuj Paul, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 08 Jan 2024 16:00:00 -0000

ros-jazzy-moveit-ros-planning-interface (2.8.0-2bookworm) bookworm; urgency=high

  * Specify controller name in MGI execution (#2257 <https://github.com/ros-planning/moveit2/issues/2257>)
    * Specify controller name in MGI execute
    * Finish comment
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Remove deprecated move_group pick& place functionality + demo (#2239 <https://github.com/ros-planning/moveit2/issues/2239>)
    Co-authored-by: Jafar Uruç <mailto:cafer.abdi@gmail.com>
  * Contributors: Sebastian Jahr, Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 16:00:00 -0000

ros-jazzy-moveit-ros-planning-interface (2.7.4-2bookworm) bookworm; urgency=high

  * Scale acceleration and velocity of cartesian interpolations (#1968 <https://github.com/ros-planning/moveit2/issues/1968>)
  * Contributors: Yadu

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 16:00:00 -0000

ros-jazzy-moveit-ros-planning-interface (2.7.3-2bookworm) bookworm; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 16:00:00 -0000

ros-jazzy-moveit-ros-planning-interface (2.7.2-2bookworm) bookworm; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Merge pull request #1900 <https://github.com/ros-planning/moveit2/issues/1900> from Abishalini/pr-sync-1245f15
    Sync with MoveIt1
  * Readd comment and assign error code
  * Merge https://github.com/ros-planning/moveit/commit/1245f151393fe09023efec3e1faead2d26737227
  * Update description of moveit_ros_planning_interface (#2045 <https://github.com/ros-planning/moveit2/issues/2045>)
    * Update description of moveit_ros_planning_interface
    * Update moveit_ros/planning_interface/package.xml
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    ---------
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Merge PR #3197 <https://github.com/ros-planning/moveit2/issues/3197>: Improve computeCartesianPath()
  * Simplify MGI::computeCartesianPath()
  * Contributors: Abishalini, Abishalini Sivaraman, Robert Haschke, Sebastian Jahr, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-moveit-ros-planning-interface (2.7.1-2bookworm) bookworm; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 16:00:00 -0000

ros-jazzy-moveit-ros-planning-interface (2.7.0-2bookworm) bookworm; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/9225971216885490e933ece25390c63ca14f8a58
  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)

