=== debian/control ===
Source: ros-jazzy-moveit-ros-planning-interface
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python3-dev, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-eigen3-cmake-module, ros-jazzy-geometry-msgs, ros-jazzy-moveit-common, ros-jazzy-moveit-configs-utils <!nocheck>, ros-jazzy-moveit-core, ros-jazzy-moveit-msgs, ros-jazzy-moveit-resources-fanuc-moveit-config <!nocheck>, ros-jazzy-moveit-resources-panda-moveit-config <!nocheck>, ros-jazzy-moveit-ros-move-group, ros-jazzy-moveit-ros-planning, ros-jazzy-moveit-ros-warehouse, ros-jazzy-moveit-simple-controller-manager <!nocheck>, ros-jazzy-rclcpp, ros-jazzy-rclcpp-action, ros-jazzy-rclpy, ros-jazzy-ros-testing <!nocheck>, ros-jazzy-rviz2 <!nocheck>, ros-jazzy-tf2, ros-jazzy-tf2-eigen, ros-jazzy-tf2-geometry-msgs, ros-jazzy-tf2-ros, ros-jazzy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-jazzy-moveit-ros-planning-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-jazzy-geometry-msgs, ros-jazzy-moveit-common, ros-jazzy-moveit-core, ros-jazzy-moveit-msgs, ros-jazzy-moveit-ros-move-group, ros-jazzy-moveit-ros-planning, ros-jazzy-moveit-ros-warehouse, ros-jazzy-rclcpp, ros-jazzy-rclcpp-action, ros-jazzy-rclpy, ros-jazzy-tf2, ros-jazzy-tf2-eigen, ros-jazzy-tf2-geometry-msgs, ros-jazzy-tf2-ros, ros-jazzy-ros-workspace
Description: Components of MoveIt that offer simpler remote (as from another ROS 2 node) interfaces to planning and execution
